NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Motion.AnalyticalContactBuilder Class Reference

Represents a Motion.AnalyticalContact builder More...

Inheritance diagram for NXOpen.Motion.AnalyticalContactBuilder:
NXOpen.Motion.MotionBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  ContactTypeOption {
  SphereToSphere, SphereToExtrusion, SphereToRevolution, ExtrusionToRevolution,
  RevolutionToRevolution, SphereToRail
}
 Contact type More...
 
enum  ProfileType { None, Circular, Road }
 Profile Type More...
 

Properties

unsafe
NXOpen.Motion.SelectAnalyticalContactProperty 
ContactProperty [get]
 Returns the contact property More...
 
unsafe
NXOpen.Motion.AnalyticalContactBuilder.ContactTypeOption 
ContactType [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Expression EffectiveContactDepth [get]
 Returns the max penetration depth More...
 
unsafe NXOpen.SelectNXObjectList ExtrusionBodies [get]
 Returns the extrusion bodies More...
 
unsafe bool ExtrusionGeometryData [get, set]
 Returns or sets the extrusion line-arc file option More...
 
unsafe string ExtrusionGeometryDataFile [get, set]
 Returns or sets the extrusion line-arc file. More...
 
unsafe NXOpen.Motion.SelectLink ExtrusionLink [get]
 Returns the extrusion link More...
 
unsafe bool ExtrusionMaterialSide [get, set]
 Returns or sets the material side toggle for extrusion More...
 
unsafe bool FindAllRoots [get, set]
 Returns or sets the find all roots More...
 
unsafe int FirstSuperElementIncrement [get, set]
 Returns or sets the first super element increment More...
 
unsafe NXOpen.Motion.SelectLink FirstSuperElementLink [get]
 Returns the first super element link More...
 
unsafe bool InfiniteExtrusion [get, set]
 Returns or sets the infinite extrusion More...
 
unsafe bool InfiniteSweep [get, set]
 Returns or sets the infinite sweep for rail More...
 
unsafe NXOpen.Expression MaxTesselationLength [get]
 Returns the max tesselation length More...
 
unsafe string Name [get, set]
 Returns or sets the string name More...
 
unsafe NXOpen.Expression PartialSphereAngle [get]
 Returns the partial sphere angle More...
 
unsafe bool PartialSphereOption [get, set]
 Returns or sets the partial sphere option More...
 
unsafe NXOpen.Direction PartialSphereVector [get, set]
 Returns or sets the partial sphere vector More...
 
unsafe
NXOpen.Motion.AnalyticalContactBuilder.ProfileType 
Profile [get, set]
 Returns or sets the profile More...
 
unsafe NXOpen.Expression RadiusOfExclusion [get]
 Returns the radius of exclusion More...
 
unsafe NXOpen.SelectNXObjectList RailBodies [get]
 Returns the rail bodies More...
 
unsafe NXOpen.Section RailCurve [get]
 Returns the rail curve More...
 
unsafe bool RailGeometryData [get, set]
 Returns or sets the rail line-arc file option More...
 
unsafe string RailGeometryDataFile [get, set]
 Returns or sets the rail line-arc file. More...
 
unsafe NXOpen.Motion.SelectLink RailLink [get]
 Returns the rail link More...
 
unsafe bool RailMaterialSide [get, set]
 Returns or sets the material side toggle for rail More...
 
unsafe NXOpen.Motion.MotionFunction RailRollAngleCurve [get, set]
 Returns or sets the RailRollAngle function More...
 
unsafe bool RailSplineFunctions [get, set]
 Returns or sets the spline function toggle for rail More...
 
unsafe NXOpen.Motion.MotionFunction RailXCurve [get, set]
 Returns or sets the RailX function More...
 
unsafe NXOpen.Motion.MotionFunction RailYCurve [get, set]
 Returns or sets the RailY function More...
 
unsafe NXOpen.Motion.MotionFunction RailZCurve [get, set]
 Returns or sets the RailZ function More...
 
unsafe NXOpen.SelectNXObjectList RevolutionBodies [get]
 Returns the revolution bodies More...
 
unsafe bool RevolutionGeometryData [get, set]
 Returns or sets the revolution line-arc file option More...
 
unsafe string RevolutionGeometryDataFile [get, set]
 Returns or sets the revolution line-arc file. More...
 
unsafe NXOpen.Motion.SelectLink RevolutionLink [get]
 Returns the revolution link More...
 
unsafe bool RevolutionMaterialSide [get, set]
 Returns or sets the material side toggle for revolution More...
 
unsafe NXOpen.SelectNXObjectList SecondRevolutionBodies [get]
 Returns the second revolution bodies More...
 
unsafe bool SecondRevolutionGeometryData [get, set]
 Returns or sets the second revolution line-arc file option More...
 
unsafe string SecondRevolutionGeometryDataFile [get, set]
 Returns or sets the second revolution line-arc file. More...
 
unsafe NXOpen.Motion.SelectLink SecondRevolutionLink [get]
 Returns the second revolution link More...
 
unsafe bool SecondRevolutionMaterialSide [get, set]
 Returns or sets the material side toggle for second revolution More...
 
unsafe NXOpen.Motion.SelectLink SecondSphereLink [get]
 Returns the second sphere link More...
 
unsafe NXOpen.Point SecondSpherePoint [get, set]
 Returns or sets the second sphere point More...
 
unsafe NXOpen.Expression SecondSphereRadius [get]
 Returns the second sphere radius More...
 
unsafe int SecondSuperElementIncrement [get, set]
 Returns or sets the second super element increment More...
 
unsafe NXOpen.Motion.SelectLink SecondSuperElementLink [get]
 Returns the second super element link More...
 
unsafe NXOpen.Motion.SelectLink SphereLink [get]
 Returns the sphere link More...
 
unsafe NXOpen.Point SpherePoint [get, set]
 Returns or sets the sphere point More...
 
unsafe NXOpen.Expression SphereRadius [get]
 Returns the sphere radius More...
 
unsafe int SuperElementReportInstance [get, set]
 Returns or sets the super element report instance More...
 
- Properties inherited from NXOpen.Motion.MotionBuilder
unsafe double DisplayScale [get, set]
 Returns or sets the icon display scale More...
 
unsafe string GroupName [get, set]
 Returns or sets the group name More...
 
unsafe
NXOpen.Motion.MotionObject.GroupType 
GroupType [get, set]
 Returns or sets the group type More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a Motion.AnalyticalContact builder

To create a new instance of this class, use NXOpen.Motion.AnalyticalContactCollection.CreateAnalyticalContactBuilder

Default values.

Property Value

ContactType

SphereToSphere

EffectiveContactDepth.Value

1000 (millimeters part), 39.3701 (inches part)

ExtrusionGeometryData

0

ExtrusionMaterialSide

1

FindAllRoots

0

FirstSuperElementIncrement

1

InfiniteExtrusion

0

InfiniteSweep

0

MaxTesselationLength.Value

5 (millimeters part), 0.19685 (inches part)

Profile

None

RadiusOfExclusion.Value

0 (millimeters part), 0 (inches part)

RailGeometryData

0

RailMaterialSide

1

RevolutionGeometryData

0

RevolutionMaterialSide

1

SecondRevolutionGeometryData

0

SecondRevolutionMaterialSide

1

SecondSphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SecondSuperElementIncrement

1

SphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SuperElementReportInstance

1

Created in NX12.0.0

Member Enumeration Documentation

Contact type

Enumerator
SphereToSphere 
SphereToExtrusion 
SphereToRevolution 
ExtrusionToRevolution 
RevolutionToRevolution 
SphereToRail 

Profile Type

Enumerator
None 
Circular 
Road 

Property Documentation

unsafe NXOpen.Motion.SelectAnalyticalContactProperty NXOpen.Motion.AnalyticalContactBuilder.ContactProperty
get

Returns the contact property

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.AnalyticalContactBuilder.ContactTypeOption NXOpen.Motion.AnalyticalContactBuilder.ContactType
getset

Returns or sets the type

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.EffectiveContactDepth
get

Returns the max penetration depth

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.ExtrusionBodies
get

Returns the extrusion bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.ExtrusionGeometryData
getset

Returns or sets the extrusion line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.ExtrusionGeometryDataFile
getset

Returns or sets the extrusion line-arc file.

This is a file containing information describing the extrusion profile.

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.ExtrusionLink
get

Returns the extrusion link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.ExtrusionMaterialSide
getset

Returns or sets the material side toggle for extrusion

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.FindAllRoots
getset

Returns or sets the find all roots

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.FirstSuperElementIncrement
getset

Returns or sets the first super element increment

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.FirstSuperElementLink
get

Returns the first super element link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.InfiniteExtrusion
getset

Returns or sets the infinite extrusion

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.InfiniteSweep
getset

Returns or sets the infinite sweep for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.MaxTesselationLength
get

Returns the max tesselation length

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.Name
getset

Returns or sets the string name

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.PartialSphereAngle
get

Returns the partial sphere angle

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.PartialSphereOption
getset

Returns or sets the partial sphere option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Direction NXOpen.Motion.AnalyticalContactBuilder.PartialSphereVector
getset

Returns or sets the partial sphere vector

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.AnalyticalContactBuilder.ProfileType NXOpen.Motion.AnalyticalContactBuilder.Profile
getset

Returns or sets the profile

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.RadiusOfExclusion
get

Returns the radius of exclusion

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.RailBodies
get

Returns the rail bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Section NXOpen.Motion.AnalyticalContactBuilder.RailCurve
get

Returns the rail curve

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailGeometryData
getset

Returns or sets the rail line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.RailGeometryDataFile
getset

Returns or sets the rail line-arc file.

This is a file containing information describing the rail profile.

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.RailLink
get

Returns the rail link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailMaterialSide
getset

Returns or sets the material side toggle for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailRollAngleCurve
getset

Returns or sets the RailRollAngle function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailSplineFunctions
getset

Returns or sets the spline function toggle for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailXCurve
getset

Returns or sets the RailX function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailYCurve
getset

Returns or sets the RailY function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailZCurve
getset

Returns or sets the RailZ function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.RevolutionBodies
get

Returns the revolution bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RevolutionGeometryData
getset

Returns or sets the revolution line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.RevolutionGeometryDataFile
getset

Returns or sets the revolution line-arc file.

This is a file containing information describing the revolution profile.

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.RevolutionLink
get

Returns the revolution link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RevolutionMaterialSide
getset

Returns or sets the material side toggle for revolution

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionBodies
get

Returns the second revolution bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionGeometryData
getset

Returns or sets the second revolution line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionGeometryDataFile
getset

Returns or sets the second revolution line-arc file.

This is a file containing information describing the second revolution profile.

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionLink
get

Returns the second revolution link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionMaterialSide
getset

Returns or sets the material side toggle for second revolution

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondSphereLink
get

Returns the second sphere link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Point NXOpen.Motion.AnalyticalContactBuilder.SecondSpherePoint
getset

Returns or sets the second sphere point

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.SecondSphereRadius
get

Returns the second sphere radius

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.SecondSuperElementIncrement
getset

Returns or sets the second super element increment

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondSuperElementLink
get

Returns the second super element link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SphereLink
get

Returns the sphere link

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Point NXOpen.Motion.AnalyticalContactBuilder.SpherePoint
getset

Returns or sets the sphere point

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.SphereRadius
get

Returns the sphere radius

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.SuperElementReportInstance
getset

Returns or sets the super element report instance

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.